<?xml version="1.0" encoding="utf-8"?>
<!--
  ~ Copyright (c) 2015. Ncomz. All Rights Reserved
  -->

<LinearLayout
        xmlns:android="http://schemas.android.com/apk/res/android"
        xmlns:app="http://schemas.android.com/apk/res-auto"
        android:id="@+id/llRowRoot"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical">


    <LinearLayout
            android:id="@+id/llRowBody"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center_vertical"
            android:orientation="horizontal"
            android:paddingBottom="8dp"
            android:paddingRight="18dp"
            android:paddingTop="8dp"
            android:background="@drawable/color_bg_02">

        <ImageView
                android:id="@+id/ivRowIcon"
                android:layout_width="60dp"
                android:layout_height="60dp"/>

        <TextView
                android:id="@+id/tvRowTitle"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:ellipsize="end"
                android:includeFontPadding="false"
                android:maxLines="2"
                android:text=""
                android:textColor="@drawable/d_font_color_font_03_color_font_01"
                android:textSize="@dimen/size_font_02"
                android:textStyle="bold"/>

        <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:layout_marginLeft="10dp"
                android:gravity="center_vertical|right">

            <com.kyleduo.switchbutton.SwitchButton
                    android:id="@+id/sbRowOnOff"
                    android:layout_width="54dp"
                    android:layout_height="wrap_content"
                    android:gravity="center_vertical"
                    app:kswThumbWidth="32dp"
                    app:kswThumbHeight="32dp"
                    app:kswBackRadius="32dp"
                    app:kswBackColor="@drawable/d_common_toggle_btn_back"
                    app:kswThumbColor="@color/rule_toggle_switch_thumb"/>

            <Button
                    android:id="@+id/btnRowDelete"
                    android:layout_width="40dp"
                    android:layout_height="40dp"
                    android:background="@drawable/d_common_list_btn_delete"
                    android:visibility="gone"/>
        </LinearLayout>
    </LinearLayout>

</LinearLayout>